package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TDcsqtinfo;
import com.chinaitop.depot.intelligent.basicdata.model.TDcsqtinfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TDcsqtinfoMapper {
    int countByExample(TDcsqtinfoExample example);

    int deleteByExample(TDcsqtinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TDcsqtinfo record);

    int insertSelective(TDcsqtinfo record);

    List<TDcsqtinfo> selectByExample(TDcsqtinfoExample example);

    TDcsqtinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TDcsqtinfo record, @Param("example") TDcsqtinfoExample example);

    int updateByExample(@Param("record") TDcsqtinfo record, @Param("example") TDcsqtinfoExample example);

    int updateByPrimaryKeySelective(TDcsqtinfo record);

    int updateByPrimaryKey(TDcsqtinfo record);
}